/*
* Copyright (c) 2017 Experis IT.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the
* MIT License which accompanies
* this distribution, and is available at
D1.1 Project Management and Quality Plan Version 1.0  Final. Date: 28.02.2017
 DECIDE Consortium Contract No. GA 731533 Page 22 of 46
www.decide-h2020.eu
* https://opensource.org/licenses/MIT
*
* Contributors:
*
* Luis Silva - Experis IT
**Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
*/


package eu.DECIDEh2020.violationhandler;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.experis.decide.persist.dao.ViolationsDAO;

@Service
public class ViolationHandler {

	@Autowired
	private ViolationsDAO violationsDAO;
	
	public String decision(Grafanahook AlertJSON)
	{
		String action = null;
		String risk = null;
		
		boolean result = violationsDAO.findAction(AlertJSON.getTitle().toString());

		if (!result) {
			return "Without Data";
		} else {
			
			if (result) {
				risk = "High";
				action = "Manual Simulation";
			} else {
				risk = "Low";
				action = "Automatic Simulation";
			}
			
			return "RISK: " + risk + 
					"\nALERT DATA: " + AlertJSON.toString() + 
					"\nACTION: " + action ; 
		}
	}
}
